:root {
    --bg-color: rgba(10, 10, 10, 0.65);

    --text-color: #eee;
    --text-color-unimportant: #999;
    --text-color-dark: #575b5e;
    --text-color-code: #43cb7e;
    --text-color-error: #BC2A4D;
    --text-color-important: #BC2A4D;
    --text-color-reported: #F7ECEF;
}

html {
    background-color: #000;
    background-image: url(https://cdn.abrixine.org/bg.webp);
    background-repeat: repeat;
    color: var(--text-color);

    height: 100%;
    width: 100%;

    display: flow-root;
}

body {
    /* Width and Centering */
    width: 90%;
    max-width: 800px;
    /* Replace 800px with your desired specific width */
    margin: 0 auto;

    /* Height constraints */
    min-height: 100vh;

    display: flow-root;

    background-color: var(--bg-color);
}

main {
    padding: 32px 5px;
}

header {
    padding: 32px 12px 0 12px;
}

.page-title {
    color: var(--text-color-code);
    width: 100%;
    text-align: center;
}

h1,h2,h3,h4,h5,h6 {
    margin: 0;
}

a {
    color: var(--link-color-normal);
}

a:hover {
    color: var(--link-color-hover);
}

a:visited {
    color: var(--link-color-visited);
}
